Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004449 [JEDI VCL] 00 JVCL Components minor always 2008-09-10 07:31 2009-05-04 16:05
Reporter intoinside View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004449: Rtf to HTML error conversion
Description When i try to convert a JvRichEdit content to html i get some conversion error. For example i have source text like "text1 text2 text3" where "text2" is bold. After conversion i have this code "text1 text2 text3".
I've tested it also with italic and underline with same result.
I've uploaded a simple project that have a JvRichEdit in left form (where you insert your text) and a TWebBrowser in right form (where you can see conversion result). I included a screenshot showing my test.

I Have D2007 Professional,
WinVista Business,
JCL 1.102 Build 3072 (also tested with 1.101)
JVCL 3.34 (also tested with 3.33)

JVCL 3.35 fails to install.
Additional Information
Tags No tags attached.
Attached Files zip file icon bug_test.zip [^] (474,396 bytes) 2008-09-10 07:31
jpg file icon screenshot.jpg [^] (19,174 bytes) 2008-09-10 07:32

- Relationships

-  Notes
(0015488)
obones (administrator)
2009-04-29 15:45

Does this still happen with the latest SVN content?
(0015512)
vasa (reporter)
2009-05-04 16:00

This was solved in issues 0004734 and 0004520. Problem solved in SVN.
(0015513)
obones (administrator)
2009-05-04 16:05

Thanks for letting us know

- Issue History
Date Modified Username Field Change
2008-09-10 07:31 intoinside New Issue
2008-09-10 07:31 intoinside File Added: bug_test.zip
2008-09-10 07:32 intoinside File Added: screenshot.jpg
2008-09-29 06:42 obones Status new => acknowledged
2009-04-29 15:45 obones Note Added: 0015488
2009-04-29 15:45 obones Status acknowledged => feedback
2009-05-04 16:00 vasa Note Added: 0015512
2009-05-04 16:00 vasa Issue Monitored: vasa
2009-05-04 16:05 obones Note Added: 0015513
2009-05-04 16:05 obones Status feedback => resolved
2009-05-04 16:05 obones Fixed in Version => Daily / SVN
2009-05-04 16:05 obones Resolution open => fixed
2009-05-04 16:05 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker